Subject: [PATCH 4/4] ARM: remove duplicate const qualifier

From: [email-masked] (Eric Engestrom)
Date: Mon, 25 Apr 2016 15:37:31 +0100

On Mon, Apr 25, 2016 at 10:12:16AM -0400, Nicolas Pitre wrote:
> Beware.
> 
> I added many of those exactly because gcc did not ignore them when 
> compiling with LTO where the lack of a const qualifier to qualify the 
> actual array content, and not only the reference to that content, 
> generated build errors due to section mismatches from the __initconst 
> annotation.

I believe the first `const` does that, without the need for a second.

> So this is a NAK from me unless you may confirm that LTO builds are 
> unaffected by your changes.

I can't confirm it (haven't tried), and don't care enough to do it :]
I guess I'm just dropping the patch then. Like I said, it can't hurt to
leave them in.

Cheers,
Eric